// Ultralight_CDlg.h : header file
//

#if !defined(AFX_ULTRALIGHT_CDLG_H__990E75FA_B3EE_4060_A69B_07C32D979216__INCLUDED_)
#define AFX_ULTRALIGHT_CDLG_H__990E75FA_B3EE_4060_A69B_07C32D979216__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CUltralight_CDlg dialog

class CUltralight_CDlg : public CDialog
{
// Construction
public:
	CUltralight_CDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CUltralight_CDlg)
	enum { IDD = IDD_ULTRALIGHT_C_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CUltralight_CDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CUltralight_CDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnRadioUsb();
	afx_msg void OnRadioCom();
	afx_msg void OnBntOpen();
	afx_msg void OnBtnAuthen();
	afx_msg void OnBtnUpdatekey();
	afx_msg void OnBtnRead();
	afx_msg void OnBtnWrite();
	afx_msg void OnBtnSetsave();
	afx_msg void OnBtnLock();
	afx_msg void OnBtnFind();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	int CheckAndGetHexString(CString str,BYTE* ucbyte,int uclen);
	void ClearMsg();
	void ShowMsg(CString strmsg);
	CButton*	m_radio_usb;
	CButton*	m_btn_open;
	CButton*	m_chk_read;
	CComboBox*	m_comb_port;
	CComboBox*	m_comb_baud;
	int			m_hdev;
	CString		m_glMsg;
	CEdit*		m_edit_msg;

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ULTRALIGHT_CDLG_H__990E75FA_B3EE_4060_A69B_07C32D979216__INCLUDED_)
